﻿Copyright (c) (2016) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub R&S RTM105x (1 yr) VER VISA /O_CAL+600MHz+5Ch+Z+WG
DATE:                  2016-06-14 13:38:56
AUTHOR:                Fluke
REVISION:              $Revision: 16202 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       242
CONFIGURATION:         Fluke Ocal (600MHz,5Ch,Z,WG)
=============================================================================
#
#  Procedure Author:
#        CAD
#
#  Model(s) Covered:
#        R&S RTM1052 (1305.0008K52)
#        R&S RTM1054 (1305.0008K54)
#
#  Compatibility:
#        MET/CAL 8.1.4 or later
#
#  Source(s):
#        R&S RTM Digital Oscilloscope Service Manual, 1304.9018.02-01
#
#  Additional Equipment Required:
#        Agilent 11667A Power Splitter (for external trigger tests)
#        Termination, feedthrough, BNC, 50 Ω
#
# This procedure is intended for use with MET/CAL® calibration software;
# the terms and conditions set forth in your MET/CAL license apply to this
# procedure.
#
# Due to Fluke's policy of continuously updating our products, this procedure
# may contain minor differences in methods used and/or specifications to
# those found in the manual or other documentation. While every effort has
# been made to ensure that this procedure is accurate, Fluke cannot be held
# responsible for the consequences of error or omissions found within this
# procedure.
#
# The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  O_CAL        Mode       = LeveledSine; Channel = 2
  1.002  O_CAL        +Frequency = 500 MHz;     Voltage = 1 Vpp

  1.003  O_CAL        Mode       = WaveGen; OutpImp = 50 Ohm; Waveform = Sine
  1.003  O_CAL        +Frequency = 10 kHz; @Voltage = 15 mVpp

  1.004  O_CAL        Mode = MeasZ; +Resistance = 1 MOhm; Measure

  1.005  O_CAL        Mode = Voltage; +Voltage = 1 V; OutpImp = 50 Ohms
  1.006  ENDIF

  1.007  ASK-   R   Q N              P                            A        V

  1.008  IF           NOT(VERSIONCHECK("8.1.4"))
  1.009  END
  1.010  ENDIF

  1.011  CALL         Sub Display Copyright

  1.012  HEAD         PRELIMINARY INSTRUCTIONS
  1.013  DISP         Ensure a minimum UUT warm-up time of at least
  1.013  DISP         30 minutes has been allowed to elapse, prior
  1.013  DISP         to beginning verification.

  1.014  MATH         @VisaLAN = 1
  1.015  CALL         Sub DUT Connection visa

  1.016  IF           @Abort
  1.017  END
  1.018  ENDIF

  1.019  VISA         [OTERM LF][TERM LF]

  1.020  HEAD         UUT IDENTIFICATION
  1.021  CALL         Sub IEEE-488.2 Identification Query VISA

  1.022  MATH         @UUT_Manufacturer  = "Rohde&Schwarz"
  1.023  MATH         @UUT_Manufacturer2 = "R&S"
  1.024  CALL         Sub IEEE-488.2 Identification Query Check Response

  1.025  IF           @Abort
  1.026  END
  1.027  ENDIF

# Set Post-Test reset condition for UUT.
  1.028  RESET        *CLS[GTL]

  1.029  HEAD         SETUP PROCEDURE EXECUTION PARAMETERS
  1.030  CALL         Sub Select Failed Test Mode
  1.031  CALL         Sub Select Verification Method

  1.032  HEAD         EQUIPMENT REQUIRED
  1.033  DISP         The following additional equipment is required to
  1.033  DISP         facilitate the verification:
  1.033  DISP
  1.033  DISP         - Power Splitter, 50 Ω, Agilent 11667A or equivalent
  1.033  DISP         - Termination, feedthrough, BNC, 50 O

  1.034  CALL         Sub R&S RTM105x Self-Test and Self-Alignment

  1.035  IF           @Abort
  1.036  END
  1.037  ENDIF

  1.038  HEAD         INSTRUMENT CONNECTIONS

  1.039  IF           @NumChan < 4
  1.040  DISP         Connect the [V @CalDev] to the UUT as follows,
  1.040  DISP         using necessasy cables and adapters.
  1.040  DISP
  1.040  DISP         [32] CHAN 1 OUTPUT -------> CH 1
  1.040  DISP         [32] CHAN 2 OUTPUT -------> CH 2
  1.041  MATH         TimeTAR = "17 minutes"; TimeMU = "43 minutes"
  1.042  ELSEIF       @NumChan > 2
  1.043  DISP         Connect the [V @CalDev] to the UUT as follows:
  1.043  DISP
  1.043  DISP         [32] CHAN 1 OUTPUT -------> CH 1
  1.043  DISP         [32] CHAN 2 OUTPUT -------> CH 2
  1.043  DISP         [32] CHAN 3 OUTPUT -------> CH 3
  1.043  DISP         [32] CHAN 4 OUTPUT -------> CH 4
  1.044  MATH         TimeTAR = "33 minutes"; TimeMU = "1 hour, 22 minutes"
  1.045  ELSE
  1.046  DISP         [V @NumChan] channel UUTs are not supported by
  1.046  DISP         this procedure.
  1.047  END
  1.048  ENDIF

  1.049  IF           ZCMPI(@MeasMode, "TAR")
  1.050  DISP         The next routine operator intervention occurs
  1.050  DISP         in approximately [V TimeTAR].
  1.051  ELSE
  1.052  DISP         The next routine operator intervention occurs
  1.052  DISP         in approximately [V TimeMU].
  1.053  ENDIF

  1.054  MATH         @Chan = 1; @CalChan = @Chan
  1.055  CALL         Sub R&S RTM105x (1 yr) Ref Frequency VER VISA /O_CAL

# Input Resistance
  1.056  MATH         @Chan = 1; @CalChan = @Chan
  1.057  CALL         Sub R&S RTM105x (1 yr) Input Res VER VISA /O_CAL
  1.058  MATH         @Chan = 2; @CalChan = @Chan
  1.059  CALL         Sub R&S RTM105x (1 yr) Input Res VER VISA /O_CAL

  1.060  IF           @NumChan > 2
  1.061  MATH         @Chan = 3; @CalChan = @Chan
  1.062  CALL         Sub R&S RTM105x (1 yr) Input Res VER VISA /O_CAL
  1.063  MATH         @Chan = 4; @CalChan = @Chan
  1.064  CALL         Sub R&S RTM105x (1 yr) Input Res VER VISA /O_CAL
  1.065  ENDIF

# DC Gain
  1.066  MATH         @Chan = 1; @CalChan = @Chan
  1.067  CALL         Sub R&S RTM105x (1 yr) DC Gain VER VISA /O_CAL
  1.068  MATH         @Chan = 2; @CalChan = @Chan
  1.069  CALL         Sub R&S RTM105x (1 yr) DC Gain VER VISA /O_CAL

  1.070  IF           @NumChan > 2
  1.071  MATH         @Chan = 3; @CalChan = @Chan
  1.072  CALL         Sub R&S RTM105x (1 yr) DC Gain VER VISA /O_CAL
  1.073  MATH         @Chan = 4; @CalChan = @Chan
  1.074  CALL         Sub R&S RTM105x (1 yr) DC Gain VER VISA /O_CAL
  1.075  ENDIF

# Offset Accuracy
  1.076  MATH         @Chan = 1; @CalChan = @Chan
  1.077  CALL         Sub R&S RTM105x (1 yr) Offset Acc VER VISA /O_CAL
  1.078  MATH         @Chan = 2; @CalChan = @Chan
  1.079  CALL         Sub R&S RTM105x (1 yr) Offset Acc VER VISA /O_CAL

  1.080  IF           @NumChan > 2
  1.081  MATH         @Chan = 3; @CalChan = @Chan
  1.082  CALL         Sub R&S RTM105x (1 yr) Offset Acc VER VISA /O_CAL
  1.083  MATH         @Chan = 4; @CalChan = @Chan
  1.084  CALL         Sub R&S RTM105x (1 yr) Offset Acc VER VISA /O_CAL
  1.085  ENDIF

# Bandwidth
  1.086  MATH         @Chan = 1; @CalChan = @Chan
  1.087  CALL         Sub R&S RTM105x (1 yr) Bandwidth VER VISA /O_CAL+S6
  1.088  MATH         @Chan = 2; @CalChan = @Chan
  1.089  CALL         Sub R&S RTM105x (1 yr) Bandwidth VER VISA /O_CAL+S6

  1.090  IF           @NumChan > 2
  1.091  MATH         @Chan = 3; @CalChan = @Chan
  1.092  CALL         Sub R&S RTM105x (1 yr) Bandwidth VER VISA /O_CAL+S6
  1.093  MATH         @Chan = 4; @CalChan = @Chan
  1.094  CALL         Sub R&S RTM105x (1 yr) Bandwidth VER VISA /O_CAL+S6
  1.095  ENDIF

# Crosstalk
  1.096  MATH         @Chan = 1; @CalChan = @Chan
  1.097  CALL         Sub R&S RTM105x (1 yr) Crosstalk VER VISA /O_CAL+S6

  1.098  IF           @NumChan > 2
  1.099  MATH         @Chan = 4; @CalChan = @Chan
  1.100  CALL         Sub R&S RTM105x (1 yr) Crosstalk VER VISA /O_CAL+S6
  1.101  ENDIF

# Internal Trigger

  1.102  MATH         @Chan = 1; @CalChan = @Chan
  1.103  CALL         Sub R&S RTM105x (1 yr) Int Trig VER VISA /O_CAL+S6+WG
  1.104  MATH         @Chan = 2; @CalChan = @Chan
  1.105  CALL         Sub R&S RTM105x (1 yr) Int Trig VER VISA /O_CAL+S6+WG

  1.106  IF           @NumChan > 2
  1.107  MATH         @Chan = 3; @CalChan = @Chan
  1.108  CALL         Sub R&S RTM105x (1 yr) Int Trig VER VISA /O_CAL+S6+WG
  1.109  MATH         @Chan = 4; @CalChan = @Chan
  1.110  CALL         Sub R&S RTM105x (1 yr) Int Trig VER VISA /O_CAL+S6+WG
  1.111  ENDIF

# Line Trigger
  1.112  MATH         @Chan = 1; @CalChan = @Chan
  1.113  CALL         Sub R&S RTM105x (1 yr) Line Trigger VER VISA

# External Trigger
  1.114  HEAD         INSTRUMENT CONNECTIONS
  1.115  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
  1.116  DISP         Connect the [V @CalDev] CHAN 1 OUTPUT to the
  1.116  DISP         Power Splitter input, using any necessary adapters.
  1.116  DISP
  1.116  DISP         Connect one output port of the Power Splitter to the
  1.116  DISP         UUT CH 1 input.
  1.116  DISP
  1.116  DISP         Connect the other output port of the Power Splitter
  1.116  DISP         to the UUT EXT TRIGGER INPUT (rear panel), via a
  1.116  DISP         50 Ω feedthrough termination.
  1.117  MATH         @Chan = 1; @CalChan = @Chan
  1.118  CALL         Sub R&S RTM105x (1 yr) Ext Trig VER VISA /O_CAL+S6+WG

  1.119  HEAD         -2
  1.120  HEAD
  1.121  END
